import request from '@/utils/request'

// 查询物料退货明细列表
export function listMaterialReturnsInfo(query) {
  return request({
    url: '/business/materialReturnsInfo/list',
    method: 'get',
    params: query
  })
}

// 查询物料退货明细详细
export function getMaterialReturnsInfo(id) {
  return request({
    url: '/business/materialReturnsInfo/' + id,
    method: 'get'
  })
}

// 新增物料退货明细
export function addMaterialReturnsInfo(data) {
  return request({
    url: '/business/materialReturnsInfo',
    method: 'post',
    data: data
  })
}

// 修改物料退货明细
export function updateMaterialReturnsInfo(data) {
  return request({
    url: '/business/materialReturnsInfo',
    method: 'put',
    data: data
  })
}

// 删除物料退货明细
export function delMaterialReturnsInfo(id) {
  return request({
    url: '/business/materialReturnsInfo/' + id,
    method: 'delete'
  })
}
